import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import $config from './packageShang/common/config.js'

import $store from './packageShang/common/store.js'
import $api from './packageShang/common/common.js'
import './uni.promisify.adaptor'

import {
	myRequest,
	myRequest_shop
} from "./util/api"

Vue.prototype.$myRequest = myRequest
Vue.prototype.$myRequest_shop = myRequest_shop

Vue.config.productionTip = false
Vue.prototype.$config = $config
Vue.prototype.$api = $api
Vue.prototype.$store = $store

// 注册当前环境 
$api.register_env((env) => {
	Vue.prototype.$env = env;
});
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif